version: '3.8'

services:
  docker-arcafiles:
    image: httpd:2.4-alpine
    container_name: arcafiles
    restart: always
    ports:
      - "127.0.0.1:8083:80"
    volumes:
      # Mapeia a pasta atual (com todas as subpastas) para a raiz do Apache
      - ./:/usr/local/apache2/htdocs
      - ./httpd.conf:/usr/local/apache2/conf/httpd.conf:ro
